cframe: Cframe_v1_0

| cframe Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

Macros | Functions
Cframe_v1_0

## Macros
#define | XCFRAME_HW_H_
| Prevent circular inclusions by using protection macros. More...
#define | XCframe_In32 Xil_In32
| Input operation. More...
#define | XCframe_Out32 Xil_Out32
| Output operation. More...
#define | XCframe_ReadReg32(BaseAddress, RegOffset) XCframe_In32(BaseAddress + (u32)(RegOffset))
| This macro reads the given register. More...
#define | XCframe_WriteReg32(BaseAddress, RegOffset, Data) XCframe_Out32(BaseAddress + (u32)(RegOffset), (u32)(Data))
| This macro writes the value into the given register. More...

## Functions
s32 | XCframe_SelfTest (XCframe *InstancePtr)
| This function runs a self-test on the driver and hardware device. More...
XCframe_Config * | XCframe_LookupConfig (u16 DeviceId)
| XCframe_LookupConfig returns a reference to an XCframe_Config structure based on the unique device id, DeviceId. More...

## Registers offsets
#define | XCFRAME_CRC_OFFSET (0x000U)
#define | XCFRAME_FAR_OFFSET (0x010U)
#define | XCFRAME_FAR_SFR_OFFSET (0x020U)
#define | XCFRAME_FAR_MFW_OFFSET (0x030U)
#define | XCFRAME_FDRI_OFFSET (0x040U)
#define | XCFRAME_FRCNT_OFFSET (0x050U)
#define | XCFRAME_CMD_OFFSET (0x060U)
#define | XCFRAME_MASK_OFFSET (0x070U)
#define | XCFRAME_CTL_OFFSET (0x080U)
#define | XCFRAME_CRAM_WR_OFFSET (0x090U)
#define | XCFRAME_CRAM_RD_OFFSET (0x0A0U)
#define | XCFRAME_CRAM_TRIM_OFFSET (0x0B0U)
#define | XCFRAME_COE_TRIM_OFFSET (0x0C0U)
#define | XCFRAME_SVDOPT_OFFSET (0x0D0U)
#define | XCFRAME_SEUOPT_OFFSET (0x0E0U)
#define | XCFRAME_SEU_SEL_SCAN_OFFSET (0x0F0U)
#define | XCFRAME_SEU_START_CNT_OFFSET (0x100U)
#define | XCFRAME_SEU_SWCRC_OFFSET (0x110U)
#define | XCFRAME_TESTMODE_OFFSET (0x120U)
#define | XCFRAME_BRDOPT_OFFSET (0x130U)
#define | XCFRAME_VGG_TRIM_OFFSET (0x140U)
#define | XCFRAME_CFRM_ISR_OFFSET (0x150U)
#define | XCFRAME_CFRM_IER_OFFSET (0x170U)
#define | XCFRAME_CFRM_IDR_OFFSET (0x180U)
#define | XCFRAME_STATUS_OFFSET (0x240U)

## Macro Definition Documentation

#define XCFRAME_HW_H_

Prevent circular inclusions by using protection macros.

#define XCframe_In32 Xil_In32

Input operation.

#define XCframe_Out32 Xil_Out32

Output operation.

#define XCframe_ReadReg32 | ( |  | BaseAddress,
|  |  | RegOffset
| ) |  | XCframe_In32(BaseAddress + (u32)(RegOffset))

This macro reads the given register.

Parameters

  BaseAddress | is the Xilinx base address of the CFRAME core.
  RegOffset | is the register offset of the register.

Returns
  The 32-bit value of the register.

Note
  C-style signature: u32 XCframe_ReadReg32(u32 BaseAddress, u32 RegOffset)

Referenced by XCframe_ReadReg().

#define XCframe_WriteReg32 | ( |  | BaseAddress,
|  |  | RegOffset,
|  |  | Data
| ) |  | XCframe_Out32(BaseAddress + (u32)(RegOffset), (u32)(Data))

This macro writes the value into the given register.

Parameters

  BaseAddress | is the Xilinx base address of the CFRAME core.
  RegOffset | is the register offset of the register.
  Data | is the 32-bit value to write to the register.

Returns
  None.

Note
  C-style signature: void XCframe_WriteReg32(u32 BaseAddress, u32 RegOffset, u32 Data)

Referenced by XCframe_WriteReg().

## Function Documentation

XCframe_Config* XCframe_LookupConfig | ( | u16 | DeviceId | ) |

XCframe_LookupConfig returns a reference to an XCframe_Config structure based on the unique device id, DeviceId.

The return value will refer to an entry in the device configuration table defined in the xcframe_g.c file.

Parameters

  DeviceId | is the unique device ID of the device for the lookup operation.

Returns
  CfgPtr is a reference to a config record in the configuration table (in xcframe_g.c) corresponding to DeviceId, or NULL if no match is found.

Note
  None.

s32 XCframe_SelfTest | ( | XCframe * | InstancePtr | ) |

This function runs a self-test on the driver and hardware device.

Parameters

  InstancePtr | is a pointer to the XCframe instance.

Returns
  - XST_SUCCESS if the self-test passed.
  - XST_FAILURE otherwise.

Note
  None.